<fieldset data-ng-disabled="formSubmittedSuccessfully">  
   <!--wrapper-wrap start -->
   <div class="wrapper-wrap table-minimum-height">
	   <div class="row">
		   <div class="col-sm-offset-10 col-sm-1">
				<button data-ng-disabled="hhApprovalCommentsDisabled" type="button" class="btn btn-info nomargin add-row" data-toggle="modal" data-target="#documentModalSLC">
				 {{ "ADD_DOCUMENTS" | translate }}</button>
		   </div>
	   </div>
      <div class="row">

		<div ng-if="SLCDocuments.length > 0" class="row mTop">
			<div class="col-xs-12">
				<table class="table table-red table-bordered">
					<thead>
						<tr>
							<td width="20%">{{ "DOC_NAM" | translate }}</td>
							<td width="10%">{{ "TYP" | translate }}</td>
							<td width="20%">{{ "FILE" | translate }}</td>
							<td width="40%">{{ "COMMENTS" | translate }}</td>
							<td width="40%">{{ "ACTNS" | translate }}</td>
						</tr>
					</thead>
					<tbody>
						<tr data-ng-repeat="item in SLCDocuments">
							<td>
								{{item.name}}
							</td>
							<td>
								<select  data-ng-disabled="1" class="form-control form-select-new" data-ng-model="item.type">
									<option value="Link">{{ "LNK" | translate }}</option>
									<option value="File">{{ "FILE" | translate }}</option>
								</select>
							</td>
							<td>
								<input type="text"  data-ng-disabled="1" class="form-control form-input-new" data-ng-model="item.file" data-ng-if="item.type == 'Link'" placeholder='{{ "ENTR_URL_HERE" | translate }}'></input>

								<input type="file" data-ng-disabled="1" ng-model="item.file" file-model as-file id="input-{{$index}}" style="display:none;" data-ng-if="item.type == 'File'" class="uploadElement"></input>

								<input class="form-control form-input" type="text" ng-model="item.file[0].name" data-ng-disabled="1" data-ng-click="openFileInput($index)" data-ng-if="item.type == 'File'" readonly="readonly"></input>
							</td>
							<td>
								<textarea  data-ng-disabled="1" class="form-control form-input-new" data-ng-model="item.comment"></textarea>
							</td>
							<td>
								<span role="button" class="glyphicon glyphicon-remove remove-icon-position" data-ng-click="deleteFileFromUpload($index, 'hhApproval')"></span>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<!-- Modal -->
	<div class="modal fade upload-Document-model" id="documentModalSLC" role="dialog">
		<div class="modal-dialog modal-dialog-position modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<h3> {{ "AD_NW_DOC" | translate }}</h3>
					<button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>
				<div class="modal-body">
					<!--wrapper-wrap start -->
					<div class="wrapper-wrap review-submitted-doc">
						<div class="row">
							<div class="col-sm-3">
								<label>{{ "DOC_NAM" | translate }}:</label>
							</div>
							<div class="col-sm-7 col-xs-offset-right-3">
								<input class="form-control form-input-new" placeholder=' 
								{{ "ENTR_DOC_NAM" | translate }}' data-ng-model="SLCDocument.name"></input>
							</div>
						</div>
						<hr class="dotted-line"></hr>
						<div class="row">
							<div class="col-sm-3">
								<label> {{ "DOC_TYP" | translate }}:</label>
							</div>
							<div class="col-sm-7 col-xs-offset-right-3">
								<select class="form-control form-select-new" data-ng-model="SLCDocument.type">
									<option value="Link"> {{ "LNK" | translate }}</option>
									<option value="File"> {{ "FILE" | translate }}</option>
								</select>
							</div>
						</div>
						<hr class="dotted-line"></hr>
						<div class="row">
							<div class="col-sm-3">
								<label>{{ "FILE" | translate }}:</label>
							</div>
							<div class="col-sm-7 col-xs-offset-right-3">
								<input type="text" class="form-control form-input-new" data-ng-if="SLCDocument.type == 'Link'" placeholder='{{ "ENTR_URL_HERE" | translate }}' data-ng-model="SLCDocument.file"></input>

								<input type="file" data-ng-model="SLCDocument.file" file-model as-file id="modalDocument" style="display:none;" data-ng-if="SLCDocument.type == 'File'" class="uploadElement uploadDocumentInByte" data-ng-change="promisifySLCFile('SLCDocuments')"></input>

								<input class="form-control form-input" type="text" ng-model="SLCDocument.file[0].name" data-ng-click="openFileInput('modalDocument')" data-ng-if="SLCDocument.type == 'File'" readonly="readonly"></input>
							</div>
						</div>
						<hr class="dotted-line"></hr>
						<div class="row">
							<div class="col-sm-3">
								<label> {{ "COMMENTS" | translate }}:</label>
							</div>
							<div class="col-sm-7 col-xs-offset-right-3">
								<textarea data-ng-model="SLCDocument.comment" class="form-control form-input-new"></textarea>
							</div>
						</div>
					</div>
					<!--wrapper-wrap end -->
					<div class="clear"></div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-danger" data-dismiss="modal"> {{ "CLOSE" | translate }}</button>
					<button type="button" class="btn btn-primary" data-dismiss="modal" data-ng-click="onDocumentUploadSave('SLCDocuments')"> {{ "SAVE" | translate }}</button>
				</div>
			</div>
		</div>
	</div>
</fieldset>
